View Issue Details

IDProjectCategoryView StatusLast Update
0000352FreeCADFeaturepublic2011-09-17 06:28
ReporteromarlakhdarAssigned ToJriegel 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version0.11 
Target VersionFixed in Version0.12 
Summary0000352: Boolean operations on faces
Descriptiondraw a square, it closes automatically, then draw another square in it. What happens next ? 2 different objects.I think it would be nice to make freecad able to make booleans with faces, to choose between a hole in the square or simply a combination of the two squares.
TagsNo tags attached.

Activities

Jriegel

2011-05-19 17:21

administrator   ~0000846

That kind of operations can be done with the Sketcher. For Drafting
it would be possible but a bit complicated to build faces with holes
that way.

Generally I concentrade on Part Design at the moment. The hole
Surface stuff comes later. Its a special niche and that stuff
you will be a long time better of with Blender.

wmayer

2011-05-20 05:44

administrator   ~0000848

The logic to create faces is already implemented. As J├╝rgen said it's in the sketcher. For instance, if you draw a rectangle and a smaller one inside it and make a pad feature from the sketch you see that the solid box has a "hole" inside. Basically, we only have to extract the logic from the sketcher and make a separate function for this.

normandc

2011-05-21 11:28

manager   ~0000855

It's been already available for a while in the 2D Drafting workbench. Only, it does not work with the generic boolean tool: you need to choose a specific tool: cut, union or intersect. I just tried it in v0.12.4140, and it works.

Jriegel

2011-09-16 04:44

administrator   ~0001086

Avalaible in Draft. No further support then this planed...

wmayer

2011-09-17 06:28

administrator   ~0001104

Set to closed.

Issue History

Date Modified Username Field Change
2011-05-18 20:47 omarlakhdar New Issue
2011-05-19 17:21 Jriegel Note Added: 0000846
2011-05-19 17:21 Jriegel Status new => feedback
2011-05-20 05:44 wmayer Note Added: 0000848
2011-05-21 11:28 normandc Note Added: 0000855
2011-09-16 04:44 Jriegel Note Added: 0001086
2011-09-16 04:44 Jriegel Status feedback => resolved
2011-09-16 04:44 Jriegel Resolution open => fixed
2011-09-16 04:44 Jriegel Assigned To => Jriegel
2011-09-17 06:28 wmayer Note Added: 0001104
2011-09-17 06:28 wmayer Status resolved => closed
2011-09-17 06:28 wmayer Fixed in Version => 0.12